Package org.apache.sling.commons.json.sling

# Class ResourceTraversor.Entry

java.lang.Object
org.apache.sling.commons.json.sling.ResourceTraversor.Entry

Enclosing class:
  `ResourceTraversor`

public static final class ResourceTraversor.Entry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final JSONObject`
`json`
`final org.apache.sling.api.resource.Resource`
`resource`

## Constructor Summary

Constructors
Constructor
Description
`Entry(org.apache.sling.api.resource.Resource r, JSONObject o)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### resource

public final org.apache.sling.api.resource.Resource resource

### json

public final JSONObject json

## Constructor Details

### Entry

public Entry(org.apache.sling.api.resource.Resource r, JSONObject o)